export default class TwoManyInstructionError extends Error {
  instructionsCount: number;
  maxRegisterCount: number;
  constructor(maxRegisterCount: number, instructionsCount: number) {
    super(`Too many instructions provided, max instructions allowed ${instructionsCount}`);
    this.instructionsCount = instructionsCount;
    this.maxRegisterCount = maxRegisterCount;
  }
}
