import { Cells } from "../registers";

const executeReadInput = (cells: Cells, programCounter: number) => {
  const value = cells.loadValueFrom(programCounter + 1);
  const targetCellId = cells.loadValueFrom(programCounter + 2);
  cells.putValueIn(targetCellId, value);
  return {
    pc: programCounter + 3,
    cells: cells.copy(),
    argsLength: 3,
    isHalted: false
  };
};
export default executeReadInput;
