import { Cells } from "../registers";

const executeSubtract = (cells: Cells, programCounter: number) => {
  const lhs = cells.loadValueFrom(cells.loadValueFrom(programCounter + 1));
  const rhs = cells.loadValueFrom(cells.loadValueFrom(programCounter + 2));
  cells.putValueIn(cells.loadValueFrom(programCounter + 3), lhs - rhs);
  return {
    pc: programCounter + 4,
    cells: cells.copy(),
    argsLength: 3,
    isHalted: false
  };
};
export default executeSubtract;
